use crate::cached_wattpad::get_story as get_story_from_wattpad;
use axum::extract::{Json, Query};
use serde::Deserialize;
use wattpad::Story;

#[derive(Deserialize)]
pub struct GetStoryParams {
    pub id: String,
}

pub async fn get_story(Query(params): Query<GetStoryParams>) -> Json<Story> {
    let story = get_story_from_wattpad(&params.id)
        .await
        .expect("idk jump off a bridge");

    Json(story)
}
